/* stolen from mjpegtools/config.h */

#define _GNU_SOURCE 1

/* Large file support ? */
#define _FILE_OFFSET_BITS 64
#define _LARGEFILE_SOURCE 1
#define _LARGEFILE64_SOURCE 1

/* Define for an Intel based CPU */
#define HAVE_X86CPU 1

/* For HAVEX86CPU: Define for availability of CMOV instruction (P6, P7
 * and Athlon cores).*/
#define HAVE_CMOV 1

/* For HAVEX86CPU: Define if the installed GCC tool chain can generate
 * MMX instructions */
#define HAVE_ASM_MMX 1

/* For HAVEX86CPU: Define if the nasm assembler is available */
#define HAVE_ASM_NASM 1

/* whether we're in linux or not (video4linux?) */
#define HAVE_V4L 1

/* Define if the libpthread library is present */
#define HAVE_LIBPTHREAD 1

/* do we have some cool thing for 64bits integers? */
#define PRID64_STRING_FORMAT "lld"

/* Define if you have the <alloca.h> header file. */
#define HAVE_ALLOCA_H 1

/* Define if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define if you have the <fenv.h> header file. */
#define HAVE_FENV_H 1

/* Define if you have the <getopt.h> header file. */
#define HAVE_GETOPT_H 1

/* getopt support */
#define HAVE_GETOPT_LONG 1

/* Define if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define if you have the <stdbool.h> header file. */
#define HAVE_STDBOOL_H 1

/* Define if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Is __progname defined by system? */
#define HAVE___PROGNAME 

/* Define as the return type of signal handlers (`int' or `void'). */
#define RETSIGTYPE void

/* The size of a `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of a `long', as computed by sizeof. */
#define SIZEOF_LONG 4

/* The size of a `long long', as computed by sizeof. */
#define SIZEOF_LONG_LONG 8

/* Define if you have the ANSI C header files. */
#define STDC_HEADERS 1
